package com.fuyuanshen.equipment.domain.query;

import lombok.Data;

import java.sql.Timestamp;
import java.util.List;
import java.util.Set;

/**
 * 设备查询参数
 *
 * @Description:
 * @Author: WY
 * @Date: 2025/5/16
 **/
@Data
public class DeviceQueryCriteria {

    // @Schema(value = "设备名称")
    private String deviceName;

    // @Schema(value = "设备类型")
    private Long deviceType;

    // @Schema(value = "设备MAC")
    private String deviceMac;

    // @Schema(value = "设备IMEI")
    private String deviceImei;

    // @Schema(value = "设备SN")
    private String deviceSn;

    /**
     * 设备状态
     * 0 失效
     * 1 正常
     */
    // @Schema(value = "设备状态  0 失效 1 正常  ")
    private Integer deviceStatus;

    // @Schema(value = "创建时间")
    private List<Timestamp> createTime;

    // @Schema(value = "页码", example = "1")
    private Integer page = 1;

    // @Schema(value = "每页数据量", example = "10")
    private Integer size = 10;

    // @Schema(value = "客户id")
    private Long customerId;
    private Set<Long> customerIds;

    // @Schema(value = "当前所有者")
    private Long currentOwnerId;

    // @Schema(value = "租户ID")
    private Long tenantId;

    // @Schema(value = "通讯方式", example = "0:4G;1:蓝牙")
    private Integer communicationMode;

}
